# $Revision: 1.19 $, $Date: 2004/11/15 01:33:12 $
Summary:	Indexing tool to manage cds collection
Summary(pl):	Program do katalogowania pyt CD
Name:		biblos
Version:	0.35
Release:	1
License:	GPL or QPL
Group:		X11/Applications
Source0:	http://biblos.f2g.net/%{name}-%{version}.tar.gz
# Source0-md5:	eb430f123edd636ab1e75e7b56252034
Source1:	%{name}.desktop
Patch0:		%{name}-qt_mt.patch
URL:		http://biblos.f2g.net/
BuildRequires:	expat-devel
BuildRequires:	qmake
BuildRequires:	libstdc++-devel
BuildRequires:	qt-devel >= 3.0.5
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Biblos is intended to be an easy to use file indexing tool that
can manage your MP3 collection, your cds collection and even
local directories. It is distributed under GNU General Public License
and Q Public License and it is a work in progress. The following
things are not implemented:

- Delete object button
- Properties button
- Biblos Manual button
- the program does not index links

%description -l pl
Biblos ma by atwym w uyciu narzdziem do indeksowania plikw,
mogcym zarzdza kolekcj plikw MP3, pyt CD lub nawet lokalnymi
katalogami. Jest rozpowszechniany na Powszechnej Licencji Publicznej
GNU (GPL) oraz Licencji Publicznej Q (QPL, Q Public License) i jest
w trakcie tworzenia. Nastpujce rzeczy jeszcze nie zostay
zaimplementowane:

- przycisk usuwania obiektu
- przycisk waciwoci
- przycisk podrcznika
- program nie indeksuje dowiza

%prep
%setup -qcT
tar xzf %{SOURCE0} -C . 
chmod -R +x %{name}-%{version}
%patch0 -p0

%build
mv %{name}-%{version}/* .
qmake biblos.pro
%{__make} QTDIR="/usr" CFLAGS="%{rpmcflags}" CXXFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_pixmapsdir},%{_desktopdir}}

install %{name} $RPM_BUILD_ROOT%{_bindir}
install images/logo.png $RPM_BUILD_ROOT%{_pixmapsdir}/%{name}-logo.png
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/{AUTHORS,HISTORY,TODO,WARNING,WHATIS}
%attr(755,root,root) %{_bindir}/*
%{_pixmapsdir}/*
%{_desktopdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: biblos.spec,v $
Revision 1.19  2004/11/15 01:33:12  kolodko
- fixed build
- BR qmake

Revision 1.18  2004/10/28 10:15:40  paladine
- "MP3" unification

Revision 1.17  2003/08/30 21:36:06  qboosh
- fixed GPL name in description

Revision 1.16  2003/08/18 08:07:56  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.15  2003/08/06 16:34:26  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.14  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.13  2003/05/25 05:45:57  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2003/04/26 08:20:43  djrzulf
- wird, becouse any of .so library is used by biblos from openoffice-lib
  so that must be something wrong at my system,
- Release 1,
- STBR,

Revision 1.11  2003/04/26 07:59:58  djrzulf
- From: ukasz Jerna <deejay1@nsj.srem.pl>:
  - rel 2,
  - THX to djurban for teaching qmake :>,

Revision 1.10  2003/04/22 12:18:06  djrzulf
- updated BRs,

Revision 1.9  2003/04/22 11:03:52  qboosh
- simplified %%prep magick, added biblos.pro to qmake

Revision 1.8  2003/04/21 22:14:40  qboosh
- pl description

Revision 1.7  2003/04/20 20:09:14  djrzulf
- jestem chyba k* lepy ju

Revision 1.6  2003/04/20 20:05:42  djrzulf
- argh

Revision 1.5  2003/04/20 20:03:02  djrzulf
- not jpg, but png

Revision 1.4  2003/04/20 19:57:52  djrzulf
- another cleanups, added desktop file

Revision 1.3  2003/04/20 19:33:59  djrzulf
- cleanups, added TODO

Revision 1.2  2003/04/20 19:24:13  djrzulf
- now builds but linking with openoffice ?!?

Revision 1.1  2003/04/20 19:03:58  djrzulf
- initial version, doesn't build yet
